usb_gadget_set_selfpowered
Prev | Core Objects and Methods | Next

## Name

usb_gadget_set_selfpowered — sets the device selfpowered feature.

## Synopsis

`int usb_gadget_set_selfpowered (` | struct usb_gadget * | gadget`)`;

## Arguments

`gadget`

  the device being declared as self-powered

## Description

this affects the device status reported by the hardware driver to reflect that it now has a local power supply.

returns zero on success, else negative errno.

Prev | Up | Next
usb_gadget_wakeup | Home | usb_gadget_clear_selfpowered